package com.cool.bang.core.exception.base;

/**
 * Business exception (业务异常处理)
 *
 * @author PeiZhi Guo
 * 2021-2-28 15:58
 */
public class BusinessException extends RuntimeException {

    /**
     * 异常消息
     * */
    protected final String message;

    /**
     * 业务异常
     * */
    public BusinessException(String message){
        this.message = message;
    }

    /**
     * 异常获取
     * */
    @Override
    public String getMessage() {
        return message;
    }

}
